Page MenuHomePhabricator

[Reproducers] Make reproducer relocatable
ClosedPublic

Authored by JDevlieghere on Jun 17 2019, 6:47 PM.

Details

Summary

Before this patch, reproducers weren't relocatable. The reproducer contained hard coded paths in the VFS mapping, as well in the yaml file listing the different input files for the command interpreter. This patch changes that:

  • Use relative paths for the DataCollector.
  • Use an overlay prefix for the FileCollector.

Diff Detail

Repository
rL LLVM

Event Timeline

JDevlieghere created this revision.Jun 17 2019, 6:47 PM
Herald added a project: Restricted Project. · View Herald TranscriptJun 17 2019, 6:47 PM
Herald added a subscriber: dexonsmith. · View Herald Transcript
labath accepted this revision.Jun 18 2019, 12:16 AM
This revision is now accepted and ready to land.Jun 18 2019, 12:16 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptJun 18 2019, 9:17 AM
jankratochvil marked an inline comment as done.Jun 19 2019, 2:41 AM
jankratochvil added a subscriber: jankratochvil.
jankratochvil added inline comments.
lldb/trunk/source/Utility/FileCollector.cpp
137

Regression fixed by @labath's rL363770.